<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <div th:replace="fragments/structure/head :: head"></div>
    <link rel="stylesheet" th:href="@{/css/index.css}" type="text/css"/>
</head>

<body>
<!-- ===== Loading Animation ===== -->
<div id="loader-wrapper">
    <div th:replace="fragments/svg/logo-animation :: logo-animation"></div>
    <div class="loader-section section-left"></div>
    <div class="loader-section section-right"></div>
</div>

<!-- ===== Content Page ===== -->
<div id="content-wrapper">
    <nav th:replace="fragments/structure/navigation :: navigation"></nav>

    <!-- ===== Dynamic Flat Carousel Fragment ===== -->
    <div class="my-flipster" id="carousel">

        <!-- ----- Fake ground under the carousel ----- -->
        <span class="ground"></span>

        <!-- ----- List of books used to fill the carousel ----- -->
        <ul th:replace="fragments/index/carousel :: carousel"></ul>

        <!-- ----- Information about the selected book ----- -->
        <div id="description">
            <h1 id="descriptionTitle"></h1>
            <p id="author"></p>
            <span id="mark"></span>
        </div>
    </div>

    <!-- ===== Dynamic Book Detail Fragment ===== -->
    <div id="bookDetailBlock"></div>

    <!-- ===== Modal Fragment ===== -->
    <div th:replace="fragments/modal/modal-account :: modal-account"></div>

    <!-- ===== Footer / Loading Script ===== -->
    <footer>
        <div th:replace="fragments/structure/footer :: footer"></div>
        <script th:src="@{/js/modal-account.js}" type="text/javascript"></script>
        <script th:src="@{/js/form-validating.js}" type="text/javascript"></script>
        <script th:src="@{/js/index-starting-file.js}" type="text/javascript"></script>

        <script th:inline="javascript" type="text/javascript">
            var books = /*[[${books}]]*/ null;
            startWebSite(books);
        </script>
    </footer>
</div>
</body>
</html>